syntax = "proto2";
//
// Gaze2DData
//
// Covers all data that is relevant for gaze on 2D surfaces,
// such as displays.
//
package gazetk.protocol;

import "basic_types.proto";

//
// Represents a single measurement of a 2D gaze location.
//
message Gaze2DSample {
	required gazetk.protocol.types.Timestamp timestamp = 1; // Time of the measurement
	optional gazetk.protocol.types.Vec2i right_eye     = 2; // 2D gaze location of the right eye
	optional gazetk.protocol.types.Vec2i left_eye      = 3; // 2D gaze location of the left eye
	optional gazetk.protocol.types.Vec2i both_eyes     = 4; // 2D gaze location as an average or if the eye tracker does not provide explicit information
}

// 
// Represents a fixation at a specific 2D location.
//
message Gaze2DFixation {
	required gazetk.protocol.types.Timestamp start     = 1; // Start time of the measurement
	required gazetk.protocol.types.Timestamp end       = 2; // End time of the measurement
	optional gazetk.protocol.types.Vec2i right_eye     = 3; // 2D gaze location of the right eye
	optional gazetk.protocol.types.Vec2i left_eye      = 4; // 2D gaze location of the left eye
	optional gazetk.protocol.types.Vec2i both_eyes     = 5; // 2D gaze location as an average or if the eye tracker does not provide explicit information
}
